Open Closed

Upgrading DevExtreme & .Net Core #11267


0
slavanaway created

Prerequisites

Please answer the following questions before submitting an issue. YOU MAY DELETE THE PREREQUISITES SECTION.

  • What is your product version? 7.6
  • What is your product type (Angular or MVC)? Angular
  • What is product framework type (.net framework or .net core)? .net core
  1. We are planning to upgrade to DevExtreme version 22.1.5 from 21.2.7. This upgrade requires Angular 12+. Would like to know if V7.6 of aspnetzero supports Angular 12+?
  2. We would like to use Azure Webjobs which require .Net core 6.0. Is it possible to upgrade V7.6 to use .Net Core 6.0?

Thanks. Sivakumar Angarai Pierpont Holdings.


4 Answer(s)
  • 0
    ismcagdas created
    Support Team

    Hi,

    1. Angular 12 is supported on AspNet Zero 10.4.0 and above. However, you can still upgrade your project's Angular version on your own.
    2. Yes, it is possible but requires a bit work. You can check https://docs.aspnetzero.com/en/common/latest/Version-Updating to update your solution. Please let us know if you face any errors.
  • 0
    slavanaway created

    on 2, the link talks about upgrading to a later version of aspnetzero. We would like to know if we can upgrade justr .Net core to 6.0 keeping V7.6 of aspnetzero. Thanks

  • 0
    ismcagdas created
    Support Team

    Hi @slavanaway

    Yes, that is also possible. In order to do that, you need to manually upgrade your NuGet pacakges to .NET 6. You also need to upgrade your Abp.* packages to latest version.

    Probably you will face several problems during that upgrade. You can write your problems under this issue and we will help you.

  • 0
    slavanaway created

    Thanks